Bug 1010257 - [abrt] gedit-3.9.92-1.fc20: gdk_property_change: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.9.92-1.fc20: gdk_property_change: Process /usr/bin/gedit was k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:72023cd42d8b8c8da640ae6ed55...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 07:51 EDT by Björn 'besser82' Esser
Modified: 2015-06-29 08:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:25:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.72 KB, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: core_backtrace (10.56 KB, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: dso_list (10.59 KB, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: environ (3.03 KB, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: maps (60.50 KB, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: open_fds (1.45 KB, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details
File: var_log_messages (488 bytes, text/plain)
2013-09-20 07:51 EDT, Björn 'besser82' Esser
no flags Details

  None (edit)
Description Björn 'besser82' Esser 2013-09-20 07:51:13 EDT
Description of problem:
I just opened an ASCII-txt with ~700kbytes of size.  Then gedit frooze and crashed.

Version-Release number of selected component:
gedit-3.9.92-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gedit /home/besser82/shared/fedora/user/besser82/public_html/review/shogun.spec
crash_function: gdk_property_change
executable:     /usr/bin/gedit
kernel:         3.11.1-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 gdk_property_change at gdkwindow.c:10625
 #1 _gtk_selection_request at gtkselection.c:2453
 #2 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 gtk_widget_event_internal at gtkwidget.c:7154
 #7 gtk_widget_event at gtkwidget.c:6816
 #8 gtk_main_do_event at gtkmain.c:1659
 #13 g_main_context_iteration at gmain.c:3773
 #14 g_application_run at gapplication.c:1635

Potential duplicate: bug 837670
Comment 1 Björn 'besser82' Esser 2013-09-20 07:51:17 EDT
Created attachment 800457 [details]
File: backtrace
Comment 2 Björn 'besser82' Esser 2013-09-20 07:51:20 EDT
Created attachment 800458 [details]
File: cgroup
Comment 3 Björn 'besser82' Esser 2013-09-20 07:51:23 EDT
Created attachment 800459 [details]
File: core_backtrace
Comment 4 Björn 'besser82' Esser 2013-09-20 07:51:26 EDT
Created attachment 800460 [details]
File: dso_list
Comment 5 Björn 'besser82' Esser 2013-09-20 07:51:29 EDT
Created attachment 800461 [details]
File: environ
Comment 6 Björn 'besser82' Esser 2013-09-20 07:51:32 EDT
Created attachment 800462 [details]
File: exploitable
Comment 7 Björn 'besser82' Esser 2013-09-20 07:51:35 EDT
Created attachment 800463 [details]
File: limits
Comment 8 Björn 'besser82' Esser 2013-09-20 07:51:38 EDT
Created attachment 800464 [details]
File: maps
Comment 9 Björn 'besser82' Esser 2013-09-20 07:51:41 EDT
Created attachment 800465 [details]
File: open_fds
Comment 10 Björn 'besser82' Esser 2013-09-20 07:51:45 EDT
Created attachment 800466 [details]
File: proc_pid_status
Comment 11 Björn 'besser82' Esser 2013-09-20 07:51:48 EDT
Created attachment 800467 [details]
File: var_log_messages
Comment 12 Seb L. 2014-03-30 10:11:44 EDT
Another user experienced a similar problem:

Steps to reproduce (multi-head environment w/o Xinerama):
1. start gedit
2. write some text
3. select some
4. Edit->Copy
-> crash

This seems linked to a GTK3 issue:
  https://bugzilla.redhat.com/show_bug.cgi?id=1045936
Fix proposed here:
  http://bugzilla.gnome.org/show_bug.cgi?id=719314

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        gedit
crash_function: gdk_property_change
executable:     /usr/bin/gedit
kernel:         3.13.7-200.fc20.x86_64
package:        gedit-3.10.3-1.fc20
reason:         gedit killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fedora End Of Life 2015-05-29 05:25:44 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:25:12 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.